// Place all the styles related to the admin/admin controller here.
// They will automatically be included in application.css.
// You can use Sass (SCSS) here: http://sass-lang.com/

body {
  padding: 0 3em;
}

header#masthead {
  background: rgb(86,86,90);
  color: white;
  margin: 0 -3em 1em;
  padding: 1em 3em 0.5em;

  h1 {
    background-image: image-url('logo-footer.png');
    background-repeat: no-repeat;
    background-position: left center;
    float: left;
    font: {
      family: $libertarian_stack1;
      weight: 900;
    }
    -webkit-font-smoothing: antialiased;
    font-smoothing: antialiased;
    height: 100px;
    line-height: 3.7em;
    margin: 0;
    text-indent: 260px;
    text-shadow: 0 -1px 1px rgba(0,0,0,0.75);
    text-rendering: optimizeLegibility;

    span {
      color: rgba(255,255,255,0.8);
      font-family: $libertarian_stack2;
      @include font-size(24px);
      font-weight: 100 !important;
    }

    a {
      color: white;
      text-decoration: none;
    }
  } // h1


  nav#user_nav {
    float: right;
    font-family: $libertarian_stack2;
    font-size: 0.8em;
    text-transform: uppercase;

    a { color: white; }
  }

  nav#main {
    background-color: $gray-darker;
    clear: both;
    display: block;
    margin: 0.5em -3em -0.5em;
    padding: 0 3em;
    ul {
      @extend %list-in-disguise;
      display: flex;
      flex-flow: row wrap;
      justify-content: flex-start;
      height: 40px;
      padding:5px 0 0 0;

      li {
        a, a:link, a:hover, a:visited, a:active {
          background-color: $gray-dark;
          border-top-left-radius: 4px;
          border-top-right-radius: 4px;
          color: $gray-lightest;
          display: block;
          @include font-size(14px);
          font-weight: 400;
          line-height: $base-line-height * 0.9;
          margin-right: 2px;
          padding: 9px 15px;
          text-transform: uppercase;
          text-decoration: none;
        }

        &.simple-navigation-active-leaf {
          a, a:link, a:hover, a:visited, a:active {
            background-color: $white;
            color: $base;
            font-weight: 600;
          }
        }
      }
      #source_data.simple-navigation-active-leaf {
        background-color: $gray-light;
        &.selected {
          a, a:link, a:hover, a:visited, a:active {
            background-color: $white;
            color: $base;
          }
        }

        ul {
          background-color: $gray-light;
        }
      }
    }
  }
} // header#masthead

form {
  label {
    display: block;
  }
}


p.functions {
  float: right;

  a, a:link {
    @extend .button;
  }
}

footer#page_footer {
  background-color: $gray-darkest;
  position: absolute;
  right: 0;
  bottom: 0;
  left: 0;
  overflow: hidden;
  padding: 1em;
  text-align: center;

  @include media('>tablet') {
    padding: 1em 3em;
    br { display: none; }
  }

  p {
    color: $gray-light;
    @include font-size(13px);

    a,
    a:link,
    a:hover,
    a:visited,
    a:active {
      color: $gray-lighter;
    }

    @include media('>=tablet') {
      &.copyright { float: left; }
      &.links { float: right; }
    }
  }
}